body {
	background-color: rgb(37, 37, 37);
}

.top-bar,
.preview-item figure,
.bottom-section,
.action-links a,
.data-field a {
	background-color: rgb(17, 17, 17);
}

body,
a.site-brand span.type-2 {
	color: rgb(177, 177, 177);
}

.side-panel {
	background-color: rgb(27, 27, 27);
}

.side-panel a.all-performers,
.find-box button:hover {
	background-color: rgb(87, 87, 87);
}

.menu-label,
.side-panel a:hover,
.side-panel a.active,
.find-box button,
.page-nav a,
.page-nav span {
	background-color: rgb(47, 47, 47);
}

.action-links a,
.data-field a {
	border-color: rgb(87, 87, 87);
}

a,
h1,
h2,
a.site-brand,
.sidebar-btn,
.find-box button,
.menu-label,
.footer-heading {
	color: rgb(255, 255, 255);
}

.preview-item figure:before,
.sad-icon,
a.site-brand span,
.sidebar-btn.active,
.find-box button:hover,
.side-panel a.active,
.preview-tag,
.bottom-section .footer-links-grid a:before,
.bottom-section .footer-links-grid a:hover,
.page-nav a.expand-action,
.action-links a.send-link,
.action-links a:hover,
.data-field label,
.data-field a:hover {
	color: rgb(255, 204, 0);
}

#scroll-btn,
.side-panel nav::-webkit-scrollbar-thumb,
.page-nav a:hover,
.page-nav a.page-current {
	background-color: rgb(255, 204, 0);
	color: rgb(0, 0, 0);
}

.action-links a:hover,
.data-tag-links a:hover {
	border-color: rgb(255, 204, 0);
}

body.covered:after,
.preview-name,
.preview-years,
.preview-watchers,
.preview-tag {
	background-color: rgba(0, 0, 0, 0.7);
}

.find-box .find-field {
	background-color: rgb(255, 255, 255);
}

.find-box input,
.find-box input::placeholder {
	color: rgb(37, 37, 37);
}

.preview-name,
.preview-years,
.preview-watchers {
	text-shadow: 1px 1px 0 rgba(0, 0, 0, 0.4);
}

.menu-label,
.side-panel a,
.bottom-section {
	border-color: rgb(0, 0, 0);
	box-shadow: 0 1px 0 0 rgb(47, 47, 47);
}

@font-face {
	font-family: "Line Awesome Free";
	font-weight: 900;
	src: url(../fonts/iconfont/la-solid-900.woff2) format("woff2");
	font-display: swap;
}

body,
html,
div,
p,
a,
ul,
li,
input,
button,
form,
section,
article,
section,
footer,
aside,
figure,
textarea,
span,
img,
h1,
h2,
h3 {
	margin: 0;
	padding: 0;
}
section {
	display: block;
}

body,
input {
	font-family: Arial, sans-serif;
}

:after,
:before {
	font-family: "Line Awesome Free";
	display: inline-block;
	vertical-align: top;
	font-weight: bold;
	height: inherit;
	line-height: inherit;
	text-rendering: optimizeLegibility !important;
	overflow: hidden;
}
li {
	list-style-type: none;
}
img {
	display: block;
}
a {
	text-decoration: none;
	box-sizing: content-box;
	cursor: pointer;
}

body {
	font-size: 14px;
	line-height: 20px;
}
body.covered {
	overflow: hidden;
}
body.covered:after {
	content: "";
	z-index: 89999;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
}

article {
	overflow: hidden;
	padding-top: 50px;
}

h1,
h2,
h3 {
	font-weight: normal;
	font-size: 18px;
	line-height: 24px;
	margin: 10px 10px 0 10px;
	clear: both;
}
h2 {
	font-size: 18px;
	line-height: 22px;
	margin-top: 40px;
}
h3 {
	font-size: 16px;
	line-height: 20px;
}

.container {
	overflow: hidden;
	clear: both;
	margin: 0 auto;
	min-width: 320px;
}

.top-bar {
	position: fixed;
	z-index: 99999;
	top: 0;
	left: 0;
	right: 0;
	overflow: hidden;
	padding-bottom: 5px;
	text-align: center;
}

.sidebar-btn {
	display: block;
	float: left;
	border: 0 none;
	background: none;
	cursor: pointer;
	margin: 5px 0 0 10px;
	width: 22px;
	height: 40px;
	line-height: 40px;
	font-weight: bold;
	font-size: 24px;
}
.sidebar-btn:before {
	content: "\f0c9";
}
.sidebar-btn.active:before {
	content: "\f00d";
}

a.site-brand {
	margin: 5px 10px 0 10px;
	white-space: nowrap;
	text-overflow: ellipsis;
	font-weight: bold;
	text-transform: uppercase;
	display: block;
	float: left;
	height: 40px;
	line-height: 40px;
	font-size: 18px;
}
a.site-brand img {
	width: auto;
	height: inherit;
}

.find-box {
	overflow: hidden;
	padding: 10px;
}
.find-box form {
	position: relative;
	overflow: hidden;
}
.find-box .find-field {
	border-radius: 4px;
	overflow: hidden;
	height: 40px;
	line-height: 40px;
	padding: 0 50px 0 20px;
}
.find-box input {
	background: none;
	border: 0 none;
	width: 100%;
	outline: 0 none;
	font-size: 16px;
	height: inherit;
	line-height: normal;
	text-align: left;
	white-space: nowrap;
	text-overflow: ellipsis;
}
.find-box button {
	overflow: hidden;
	position: absolute;
	top: 0;
	right: 0;
	border: 0 none;
	cursor: pointer;
	outline: 0 none;
	font-size: 18px;
	width: 40px;
	height: 40px;
	line-height: 40px;
}
.find-box button:before {
	content: "\f002";
}

.side-panel {
	display: none;
	position: fixed;
	z-index: 99999;
	top: 51px;
	left: 0;
	bottom: 0;
	width: 280px;
}
.side-panel.active {
	display: block;
}
.menu-section {
	overflow: hidden;
}
.side-panel nav {
	overflow-y: auto;
	height: 100%;
}
.side-panel nav::-webkit-scrollbar {
	width: 5px;
}
.side-panel nav::-webkit-scrollbar-thumb {
	border-radius: 6px;
}
.side-panel a {
	margin-top: 1px;
	display: block;
	height: 40px;
	line-height: 40px;
	border-bottom-style: solid;
	border-bottom-width: 1px;
	font-size: 14px;
	padding: 0 10px 0 20px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
.side-panel a:before {
	content: "\f105";
	width: 12px;
	font-size: 12px;
	float: left;
	display: block;
	margin-right: 10px;
}
.menu-label,
.side-panel a.all-performers {
	margin-top: 1px;
	display: block;
	height: 48px;
	line-height: 48px;
	border-bottom-style: solid;
	border-bottom-width: 1px;
	font-size: 14px;
	padding: 0 10px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	font-weight: bold;
}
.menu-label:before {
	width: 24px;
	font-size: 24px;
	float: left;
	display: block;
	margin-right: 5px;
}
.menu-label.gender-label:before {
	content: "\f228";
}
.menu-label.categories-label:before {
	content: "\f0b0";
}
.menu-label.tag-label:before {
	content: "\f02c";
}
.side-panel a.all-performers:before {
	content: "\f00a";
	width: 24px;
	font-size: 24px;
	margin-right: 10px;
}

.side-panel nav a.live:before {
	content: "\f519";
}
.side-panel nav a.mars:before {
	content: "\f222";
}
.side-panel nav a.venus:before {
	content: "\f221";
}
.side-panel nav a.transgender:before {
	content: "\f224";
}
.side-panel nav a.venus-mars:before {
	content: "\f228";
}

.preview-grid {
	overflow: hidden;
	padding: 8px 1px 0 1px;
}
.preview-item {
	width: 50%;
	float: left;
}
.preview-item .preview-wrap {
	margin: 2px 1px 0 1px;
	position: relative;
}
.preview-item a {
	display: block;
	overflow: hidden;
	position: relative;
}
.preview-item figure {
	overflow: hidden;
	position: relative;
	padding-bottom: 75%;
}
.preview-item figure img {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	min-width: 100%;
	min-height: 100%;
	object-fit: cover;
}

.preview-item figure:before {
	content: "";
	height: 22px;
	width: 22px;
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -13px 0 0 -13px;
	border-right: 2px solid transparent;
	border-left: 2px solid transparent;
	border-top-width: 2px;
	border-top-style: solid;
	border-bottom-width: 2px;
	border-bottom-style: solid;
	border-bottom-color: inherit;
	border-radius: 50%;
	animation: spinner 1s linear infinite;
	display: none;
}

.preview-name {
	height: 25px;
	line-height: 25px;
	z-index: 2;
	position: absolute;
	white-space: nowrap;
	text-overflow: ellipsis;
	bottom: 0;
	left: 0;
	right: 0;
	overflow: hidden;
	padding: 4px 10px;
	font-weight: bold;
	font-size: 14px;
	color: rgb(255, 255, 255);
}

.preview-years {
	display: block;
	height: 20px;
	line-height: 20px;
	font-size: 11px;
	overflow: hidden;
	position: absolute;
	bottom: 28px;
	left: 4px;
	padding: 0 5px;
	color: rgb(255, 255, 255);
}
.preview-watchers {
	display: block;
	height: 20px;
	line-height: 20px;
	font-size: 11px;
	overflow: hidden;
	position: absolute;
	bottom: 28px;
	right: 4px;
	padding: 0 5px;
	color: rgb(255, 255, 255);
}
.preview-watchers:before {
	content: "\f06e";
	width: 13px;
	font-size: 13px;
	float: left;
	display: block;
	margin: 1px 2px 0 0;
}

.preview-tag {
	height: 20px;
	line-height: 20px;
	padding: 0 7px;
	font-size: 11px;
	font-weight: bold;
	text-transform: uppercase;
	overflow: hidden;
	display: block;
	position: absolute;
	top: 4px;
	right: 4px;
}

.preview-item p {
	height: 15px;
	line-height: 15px;
	font-size: 11px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

@keyframes spinner {
	from {
		transform: rotate(0deg);
	}
	to {
		transform: rotate(360deg);
	}
}

.page-nav {
	clear: both;
	padding: 38px 0 0 0;
	text-align: center;
	font-size: 0;
	overflow: hidden;
}
.page-nav a,
.page-nav span {
	border-radius: 4px;
	display: inline-block;
	vertical-align: top;
	margin: 2px 1px 0 1px;
	font-weight: bold;
	height: 30px;
	line-height: 30px;
	padding: 0 5px;
	min-width: 20px;
	font-size: 14px;
	text-transform: uppercase;
}
.page-nav a.page-back:after {
	content: "\f104";
}
.page-nav a.page-forward:after,
.page-nav a.page-forward.expand-action:after {
	content: "\f105";
}
.page-nav a.expand-action {
	padding: 0 20px 0 25px;
	height: 45px;
	line-height: 45px;
}
.page-nav a.expand-action:after {
	transform: rotateZ(90deg);
	content: "\f35d";
	margin-left: 15px;
	font-size: 20px;
	width: 20px;
}

.stream-container {
	overflow: hidden;
}
.stream-container h1 {
	margin-top: 20px;
}
.player-container {
	position: relative;
	overflow: hidden;
}
.player-container.error {
	padding-top: 0;
}
.player-container:before {
	content: "";
	height: 42px;
	width: 42px;
	position: absolute;
	top: 50%;
	left: 50%;
	margin: -25px 0 0 -25px;
	border-right: 4px solid transparent;
	border-left: 4px solid transparent;
	border-top-width: 4px;
	border-top-style: solid;
	border-bottom-width: 4px;
	border-bottom-style: solid;
	border-bottom-color: inherit;
	border-radius: 50%;
	animation: spinner 1s linear infinite;
	display: none;
}
.player-container iframe {
	border: 0 none !important;
	display: block;
	margin: 0 auto;
	max-width: 100%;
}
.player-container video {
	border: 0 none !important;
	display: block;
	margin: 0 auto;
	width: 100%;
	height: auto;
}
.player-container source {
	border: 0 none !important;
}

.action-links {
	overflow: hidden;
	padding: 5px 0 0 10px;
}
.action-links a {
	border-radius: 30px;
	border-style: solid;
	border-width: 1px;
	display: block;
	height: 36px;
	line-height: 36px;
	padding: 0 5px;
	font-size: 11px;
	font-weight: bold;
	overflow: hidden;
	margin: 5px 3px 0 0;
	float: left;
}
.action-links a:before {
	display: block;
	float: left;
	margin-right: 2px;
	width: 13px;
	font-size: 13px;
}
.action-links a.send-link:before {
	content: "\f0e0";
}
.action-links a.private-link:before {
	content: "\f086";
}
.action-links a.profile-link:before {
	content: "\f2c2";
}

.performer-data {
	padding: 15px 0 0 10px;
	overflow: hidden;
	line-height: 22px;
}
.data-field {
	overflow: hidden;
	margin: 5px 30px 0 0;
	float: left;
}
.data-field label {
	font-weight: bold;
}
.data-tags {
	margin-top: 20px;
}
.data-tag-links {
	overflow: hidden;
	font-size: 0;
	padding: 5px 5px 0 0;
}
.data-tag-links a {
	font-weight: bold;
	border-radius: 30px;
	border-style: solid;
	border-width: 1px;
	display: block;
	float: left;
	height: 28px;
	line-height: 28px;
	font-size: 14px;
	padding: 0 10px;
	margin: 5px 5px 0 0;
}

.bottom-section {
	border-top-style: solid;
	border-top-width: 1px;
	margin-top: 40px;
	text-align: center;
	font-size: 12px;
	line-height: 20px;
	text-align: justify;
	padding-bottom: 20px;
}
.bottom-section .container {
	max-width: 1240px;
}
.bottom-section p {
	margin: 20px 10px 0 10px;
}
.footer-heading {
	font-size: 18px;
	font-weight: bold;
	line-height: 24px;
	margin: 20px 10px 0 10px;
}
.bottom-section .footer-links-grid {
	columns: 2;
	column-count: 2;
	overflow: hidden;
	padding: 10px 5px 0 5px;
	clear: both;
}
.bottom-section .footer-links-grid a {
	display: block;
	height: 24px;
	line-height: 24px;
	font-size: 13px;
	margin: 0 5px 5px 5px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
.bottom-section .footer-links-grid a:before {
	content: "\f002";
	width: 14px;
	font-size: 14px;
	margin-right: 3px;
}

#scroll-btn {
	border-radius: 4px;
	border: 0 none;
	overflow: hidden;
	opacity: 0.9;
	position: fixed;
	z-index: 20000;
	right: 5px;
	bottom: 5px;
	cursor: pointer;
	display: none;
	width: 40px;
	height: 40px;
	line-height: 40px;
	font-size: 22px;
	text-align: center;
}
#scroll-btn:before {
	content: "\f106";
	display: block;
	height: inherit;
	line-height: inherit;
	font-weight: 900;
}
#scroll-btn:hover {
	opacity: 1;
}

.info-page {
	clear: both;
}
.info-page p {
	margin: 10px 10px 0 10px;
	text-align: justify;
}
.info-page a {
	text-decoration: underline;
	font-weight: bold;
}
.info-page a:hover {
	text-decoration: none;
}

.info-page.page-404,
.info-page.page-404 p {
	text-align: center;
}
.sad-icon {
	font-size: 150px;
	height: 150px;
	line-height: 150px;
	margin: 20px 10px 0 10px;
}
.sad-icon:after {
	content: "\f119";
}

@media all and (min-width: 360px) {
	.action-links a {
		padding: 0 7px;
		font-size: 12px;
		height: 38px;
		line-height: 38px;
	}
	.action-links a:before {
		margin-right: 2px;
		width: 14px;
		font-size: 14px;
	}
}

@media all and (min-width: 460px) {
	a.site-brand {
		font-size: 20px;
	}
	.side-panel {
		width: 320px;
	}
	.action-links a {
		padding: 0 10px;
		font-size: 13px;
		height: 40px;
		line-height: 40px;
	}
	.action-links a:before {
		margin-right: 3px;
		width: 16px;
		font-size: 16px;
	}
	.bottom-section .footer-links-grid {
		columns: 3;
		column-count: 3;
	}
}

@media all and (min-width: 640px) {
	a.site-brand {
		font-size: 22px;
	}
	.preview-item {
		width: 33.3333%;
	}
	.page-nav a,
	.page-nav span {
		height: 45px;
		line-height: 45px;
		min-width: 35px;
	}
	.action-links a {
		padding: 0 25px;
		height: 45px;
		line-height: 45px;
		font-size: 15px;
	}
	.action-links a:before {
		width: 22px;
		font-size: 22px;
	}
	.bottom-section .footer-links-grid {
		columns: 4;
		column-count: 4;
	}
}

@media all and (min-width: 930px) {
	.preview-item {
		width: 25%;
	}
}

@media all and (min-width: 1020px) {
	h1,
	h2 {
		clear: none;
	}
	a.site-brand {
		margin-left: 20px;
	}
	.sidebar-btn {
		display: none;
	}
	.side-panel {
		display: block !important;
		position: static;
		float: left;
		width: 25%;
	}
	body.covered {
		overflow: visible;
	}
	body.covered:after {
		display: none;
	}
	.main-section {
		overflow: hidden;
		float: left;
		width: 75%;
	}
	.main-section .preview-item {
		width: 33.3333%;
	}

	.stream-container {
		padding: 10px 10px 0 10px;
	}
	.action-links {
		padding: 5px 5px 0 10px;
	}
	.stream-container h1 {
		margin: 20px 10px 0 10px;
	}
	h2 {
		margin-left: 20px;
		margin-right: 20px;
	}
	.performer-data {
		padding: 15px 0 0 10px;
	}
	#scroll-btn {
		bottom: 10px;
		right: 10px;
	}
}

@media all and (min-width: 1260px) {
	.preview-item,
	.side-panel {
		width: 20%;
	}
	.main-section {
		width: 80%;
	}
	.main-section .preview-item {
		width: 25%;
	}
	.bottom-section .footer-links-grid {
		columns: 6;
		column-count: 6;
	}
}

@media all and (min-width: 1900px) {
	.preview-item,
	.side-panel {
		width: 16.6666%;
	}
	.main-section {
		width: 83.33%;
	}
	.main-section .preview-item {
		width: 20%;
	}
}

@media all and (max-width: 1020px) {
	* {
		-webkit-tap-highlight-color: transparent;
		-webkit-focus-ring-color: transparent;
		-webkit-touch-callout: none;
		-webkit-user-select: none;
		-khtml-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		user-select: none;
	}
}
